Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691670 - SELinux is preventing pmsignal from using the 'signal' accesses on a process.
Summary: SELinux is preventing pmsignal from using the 'signal' accesses on a process.
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fdba94147cd2bafe672a0795075...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 08:11 UTC by Kazuo Moriwaka
Modified: 2019-03-24 22:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Kazuo Moriwaka 2019-03-22 08:11:13 UTC
Description of problem:
SELinux is preventing pmsignal from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pmsignal should be allowed signal access on processes labeled unconfined_service_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pmsignal' --raw | audit2allow -M my-pmsignal
# semodule -X 300 -i my-pmsignal.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmlogger_t:s0
Target Context                system_u:system_r:unconfined_service_t:s0
Target Objects                Unknown [ process ]
Source                        pmsignal
Source Path                   pmsignal
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-51.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.20.6-200.fc29.x86_64 #1 SMP Thu
                              Jan 31 15:50:43 UTC 2019 x86_64 x86_64
Alert Count                   1
First Seen                    2019-03-21 22:31:38 JST
Last Seen                     2019-03-21 22:31:38 JST
Local ID                      68842423-76f0-4eb5-ad29-f7d4f4beebfc

Raw Audit Messages
type=AVC msg=audit(1553175098.51:10157): avc:  denied  { signal } for  pid=29039 comm="pmsignal" scontext=system_u:system_r:pcp_pmlogger_t:s0 tcontext=system_u:system_r:unconfined_service_t:s0 tclass=process permissive=0


Hash: pmsignal,pcp_pmlogger_t,unconfined_service_t,process,signal

Version-Release number of selected component:
selinux-policy-3.14.2-51.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.0
hashmarkername: setroubleshoot
kernel:         4.20.6-200.fc29.x86_64
type:           libreport

Comment 1 Nathan Scott 2019-03-24 22:06:23 UTC
Thanks.  This has been fixed in upstream PCP via the commit below, will be in pcp-4.3.2.

commit 4e0f0c43670c9be5c87f3c74465472eecdd8fd98
Author: Nathan Scott <nathans@redhat.com>
Date:   Thu Mar 14 10:24:47 2019 +1100

    selinux: fix some fallout from the systemd timer transition


Note You need to log in before you can comment on or make changes to this bug.